Bug 1418277 (CVE-2017-14431, xsa207) - CVE-2017-14431 xsa207 xen: memory leak when destroying guest without PT devices (XSA-207)
Summary: CVE-2017-14431 xsa207 xen: memory leak when destroying guest without PT devic...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14431, xsa207
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1422492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 12:38 UTC by Adam Mariš
Modified: 2019-09-29 14:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:44 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-02-01 12:38:56 UTC
ISSUE DESCRIPTION
=================

Certain internal state is set up, during domain construction, in
preparation for possible pass-through device assignment.  On ARM and
AMD V-i hardware this setup includes memory allocation.  On guest
teardown, cleanup was erroneously only performed when the guest
actually had a pass-through device assigned.

IMPACT
======

A malicious guest may, by frequently rebooting over extended periods
of time, run the system out of memory, resulting in a Denial of
Service (DoS).

The leak is no more than 4kbytes per guest boot.

VULNERABLE SYSTEMS
==================

Xen versions 3.3 and later are affected.

ARM systems, and x86 AMD systems, are affected.  Intel systems, and
systems without IOMMU/SMMU hardware, are unaffected.

All guest kinds can exploit this vulnerability.

MITIGATION
==========

Limiting the frequency with which a guest is able to reboot, will
limit the memory leak.

Rebooting each host (after migrating its guests) periodically will
reclaim the leaked space.

External References:

http://xenbits.xen.org/xsa/advisory-207.html

Acknowledgements:

Name: the Xen project

Comment 1 Andrej Nemec 2017-02-15 12:22:21 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1422492]

Comment 2 Andrej Nemec 2017-02-15 12:22:33 UTC
Public via:

http://seclists.org/oss-sec/2017/q1/440


Note You need to log in before you can comment on or make changes to this bug.